Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass Class Reference

This compilation pass loads every ezplatform available translations into symfony translator. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass:

## Public Member Functions
| process (ContainerBuilder $container)

## Public Attributes
const | ORIGINAL_TRANSLATION = 'en'
const | LOCALES_MAP

## Detailed Description

This compilation pass loads every ezplatform available translations into symfony translator.

Definition at line 16 of file TranslationCollectorPass.php.

## Member Function Documentation

## ◆ process()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass::process | ( | ContainerBuilder | $container | ) |

Definition at line 38 of file TranslationCollectorPass.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass\ORIGINAL_TRANSLATION.

## Member Data Documentation

## ◆ LOCALES_MAP

const eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass::LOCALES_MAP

Initial value:
= [
'de_DE' => 'de',
'el_GR' => 'el',
'es_ES' => 'es',
'fi_FI' => 'fi',
'fr_FR' => 'fr',
'hi_IN' => 'hi',
'hr_HR' => 'hr',
'hu_HU' => 'hu',
'it_IT' => 'it',
'ja_JP' => 'ja',
'nb_NO' => 'nb',
'pl_PL' => 'pl',
'pt_PT' => 'pt',
'ru_RU' => 'ru',
]

Definition at line 21 of file TranslationCollectorPass.php.

## ◆ ORIGINAL_TRANSLATION

const eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass::ORIGINAL_TRANSLATION = 'en'

Definition at line 18 of file TranslationCollectorPass.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Compiler\TranslationCollectorPass\process().

The documentation for this class was generated from the following file:

- TranslationCollectorPass.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.